#include<graphics.h>
#include<conio.h>
#include<stdio.h>

void main()
{

int x=50,y=50,xe=200,ye=200,gd=DETECT,gm,steps,xine,yine,dx,dy,i;
initgraph(&gd,&gm,"C:\\TURBOC3\\BGI");
dx=xe-x;
dy=ye-y;
steps=(dx>dy?dx:dy);
xine=dx/steps;
yine=dy/steps;
putpixel(x,y,YELLOW);

getch();
closegraph();
}